API Reference
This section provides a complete reference for the Spatial Data Management on AWS REST API (version 2025-04-18). The API provides comprehensive spatial data organization, storage, and collaboration capabilities. You can organize spatial assets into libraries and projects, manage access controls, and integrate with external data sources through connectors.
Important
All endpoints in this reference use the /iam path prefix and require AWS IAM (Signature Version 4) authentication. For setup instructions, see API Authentication.
Base URL
The API base URL is available from the SpatialDataManagementApiEndpoint parameter in AWS Systems Manager Parameter Store, or from the AWS CloudFormation stack outputs after deployment. All endpoints below are relative to this base URL and are prefixed with /iam.
Libraries
GET /iam/libraries
Operation ID:
ListLibraries
Retrieves a paginated list of all libraries accessible to the authenticated user. Libraries are organizational containers that hold projects, assets, and templates. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of Library |
List of libraries accessible to the user |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}
Operation ID:
GetLibrary
Retrieves detailed information about a specific library. Returns library metadata including storage configuration, creation details, and access permissions.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Object |
S3 storage configuration defining where library data is stored |
|
|
String |
Default S3 bucket name for library storage |
|
|
String |
Default root S3 prefix for organizing library data |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Projects
GET /iam/libraries/{libraryId}/projects
Operation ID:
ListProjects
Retrieves a paginated list of projects resources. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of Project |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects
Operation ID:
CreateProject
Creates a new project resource with the specified configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Object |
No |
Configuration settings for project. |
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Object |
No |
— |
|
|
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
|
|
Boolean |
— |
|
|
String |
— |
|
|
Array of MetadataAttribute |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}
Operation ID:
GetProject
Retrieves detailed information about a specific project resource.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
|
|
Boolean |
— |
|
|
String |
— |
|
|
Array of MetadataAttribute |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/projects/{projectId}
Operation ID:
UpdateProject
Updates an existing project resource configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
Object |
No |
Configuration settings for project. |
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Object |
No |
— |
|
|
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
|
|
Boolean |
— |
|
|
String |
— |
|
|
Array of MetadataAttribute |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
DELETE /iam/libraries/{libraryId}/projects/{projectId}
Operation ID:
DeleteProject
Deletes a project resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/asset-template-associations
Operation ID:
ListProjectAssetTemplateAssociations
Retrieves a paginated list of project asset template associations. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/asset-template-associations
Operation ID:
RequestAssetTemplateAssociation
Requests an asset template association for a project.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
— |
|
|
|
— |
|
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/asset-template-associations/{templateId}
Operation ID:
GetAssetTemplateAssociation
Retrieves detailed information about a specific asset template association.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
— |
|
|
|
— |
|
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
DELETE /iam/libraries/{libraryId}/projects/{projectId}/asset-template-associations/{templateId}
Operation ID:
DeleteAssetTemplateAssociation
Deletes an asset template association resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/asset-templates/{templateId}/connectors/{connectorId}/verify
Operation ID:
VerifyProjectConnectorRelationship
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Boolean |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets
Operation ID:
ListAssets
Retrieves a paginated list of assets resources. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
|
|
query |
No |
— |
|
|
|
query |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of Asset |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/assets
Operation ID:
CreateAsset
Creates a new asset resource with the specified configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Object |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Array of AssetReference |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of Attribute |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}
Operation ID:
GetAsset
Retrieves detailed information about a specific asset resource.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of Attribute |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}
Operation ID:
UpdateAsset
Updates an existing asset resource configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
No |
— |
|
|
|
No |
— |
|
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of Attribute |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
DELETE /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}
Operation ID:
DeleteAsset
Deletes an asset resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Boolean |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
— |
|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/asset-templates/{templateId}/connectors/{connectorId}/trigger
Operation ID:
TriggerConnectorOnAsset
Triggers a connector on asset processing or validation workflow.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
String |
No |
Unique identifier for the file |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/asset-templates/{templateId}/connectors/{connectorId}/verify
Operation ID:
VerifyAssetConnectorRelationship
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
String |
No |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Boolean |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/attributes
Operation ID:
ListAssetAttributes
Retrieves a paginated list of asset attributes. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of Attribute |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/connectors/{connectorId}/trigger
Operation ID:
TriggerConnectorOnAssetDirect
Triggers a connector on asset (direct) processing or validation workflow.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
String |
No |
Unique identifier for the file |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/credentials
Operation ID:
GetAssetCredentials
Retrieves detailed information about asset credentials.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Yes |
— |
|
|
|
query |
Yes |
— |
|
|
|
query |
No |
— |
|
|
|
query |
Number |
No |
— |
|
|
query |
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/files
Operation ID:
ListFiles
Retrieves a paginated list of files resources. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of File |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/files/{fileIdOrPathId}
Operation ID:
GetFile
Retrieves detailed information about a specific file resource.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
— |
|
|
|
Boolean |
— |
|
|
String |
— |
|
|
Array of Attribute |
— |
|
|
Array of Attribute |
— |
|
|
Object |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of FilePreview |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/files/{fileIdOrPathId}/content
Operation ID:
GetFileContent
Retrieves the content of a specific file.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/files/{fileIdOrPathId}/versions
Operation ID:
ListFileVersions
Retrieves a paginated list of file versions. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/files/{fileIdOrPathId}/versions/{versionId}
Operation ID:
GetFileVersion
Retrieves detailed information about a specific file version.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
— |
|
|
|
Boolean |
— |
|
|
String |
— |
|
|
Array of Attribute |
— |
|
|
Array of Attribute |
— |
|
|
Object |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of FilePreview |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/multipart-upload-data
Operation ID:
GetAssetMultipartUploadData
Retrieves detailed information about asset multipart upload data.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
Object |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Array of UploadPart |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Array of FileLocation |
— |
|
|
Array of FileLocation |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/multipart-upload-data
Operation ID:
UpdateAssetMultipartUploadData
Updates an existing asset multipart upload data configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
Array of UploadPart |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
Array of UploadPart |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
|
|
Number |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/suggested-attributes
Operation ID:
ListAssetSuggestedAttributes
Retrieves a paginated list of asset suggested attributes. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of FileTypeSuggestion |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/versions
Operation ID:
ListAssetVersions
Retrieves a paginated list of asset versions. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of AssetVersion |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/assets/{assetId}/versions/{versionId}/files
Operation ID:
ListFilesForAssetVersion
Retrieves a paginated list of files for an asset version. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of File |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/connectors/{connectorId}/trigger
Operation ID:
TriggerConnectorOnProjectDirect
Triggers a connector on project (direct) processing or validation workflow.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/credentials
Operation ID:
GetProjectCredentials
Retrieves project credentials.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Yes |
— |
|
|
|
query |
Yes |
— |
|
|
|
query |
No |
— |
|
|
|
query |
Number |
No |
— |
|
|
query |
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/known-attributes
Operation ID:
GetProjectKnownAttributes
Retrieves the known attributes for a specific project.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/members
Operation ID:
ListProjectMembers
Retrieves a paginated list of project members. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Yes |
— |
|
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of Member |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/members/{principalId}
Operation ID:
GetProjectMember
Retrieves detailed information about a specific project member.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
POST /iam/libraries/{libraryId}/projects/{projectId}/members/{principalId}
Operation ID:
AddProjectMember
Adds a new member to the project with specified access level. Members can be users or groups with roles: OWNER, MANAGER, CONTRIBUTOR, or VIEWER.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
PUT /iam/libraries/{libraryId}/projects/{projectId}/members/{principalId}
Operation ID:
UpdateProjectMember
Updates an existing project member configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
DELETE /iam/libraries/{libraryId}/projects/{projectId}/members/{principalId}
Operation ID:
DeleteProjectMember
Deletes a project member resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/projects/{projectId}/permissions
Operation ID:
GetProjectPermissions
Retrieves project permissions.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Assets
GET /iam/libraries/{libraryId}/assets
Operation ID:
ListLibraryAssets
Retrieves a paginated list of library assets. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of Asset |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Asset Templates
GET /iam/libraries/{libraryId}/asset-templates
Operation ID:
ListAssetTemplates
Retrieves a paginated list of assettemplates resources. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
|
|
query |
Boolean |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of AssetTemplateMinimal |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/asset-templates
Operation ID:
CreateAssetTemplate
Creates a new assettemplate resource with the specified configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}
Operation ID:
GetAssetTemplate
Retrieves detailed information about a specific assettemplate resource.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/asset-templates/{templateId}
Operation ID:
UpdateAssetTemplate
Updates an existing assettemplate resource configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
DELETE /iam/libraries/{libraryId}/asset-templates/{templateId}
Operation ID:
DeleteAssetTemplate
Deletes an asset template resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/assets
Operation ID:
ListAssetTemplateAssets
Retrieves a paginated list of asset template assets. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
String |
No |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
|
|
Number |
— |
|
|
Number |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/connector-associations
Operation ID:
ListAssetTemplateConnectorAssociations
Retrieves a paginated list of asset template connector associations. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of TemplateConnectorAssociationDetail |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/asset-templates/{templateId}/connector-associations
Operation ID:
RequestConnectorAssociation
Requests an association between resources. Enables connector functionality.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
— |
|
|
|
— |
|
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
DELETE /iam/libraries/{libraryId}/asset-templates/{templateId}/connector-associations/{connectorId}
Operation ID:
DeleteConnectorAssociation
Deletes a connector association resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/connectors/{connectorId}/resources
Operation ID:
GetConnectorResourcesViaAssetTemplate
Retrieves connector resources via an asset template.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/members
Operation ID:
ListAssetTemplateMembers
Retrieves a paginated list of asset template members. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Yes |
— |
|
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of Member |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/members/{principalId}
Operation ID:
GetAssetTemplateMember
Retrieves detailed information about a specific asset template member.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/asset-templates/{templateId}/members/{principalId}
Operation ID:
AddAssetTemplateMember
Adds a new member to the assettemplate with specified access level. Members can be users or groups with roles: OWNER, MANAGER, CONTRIBUTOR, or VIEWER.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/asset-templates/{templateId}/members/{principalId}
Operation ID:
UpdateAssetTemplateMember
Updates an existing asset template member configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
DELETE /iam/libraries/{libraryId}/asset-templates/{templateId}/members/{principalId}
Operation ID:
DeleteAssetTemplateMember
Deletes an asset template member resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/permissions
Operation ID:
GetAssetTemplatePermissions
Retrieves asset template permissions.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/asset-templates/{templateId}/project-associations
Operation ID:
ListAssetTemplateProjectAssociations
Retrieves a paginated list of asset template project associations. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of ProjectAssociationDetail |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/asset-templates/{templateId}/project-associations/{projectId}
Operation ID:
UpdateAssetTemplateProjectAssociation
Updates an existing asset template project association configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
— |
|
|
|
— |
|
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Connectors
GET /iam/libraries/{libraryId}/connectors
Operation ID:
ListConnectors
Retrieves a paginated list of connectors resources. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
No |
— |
|
|
|
query |
String |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
String |
No |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of ConnectorMinimal |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/connectors
Operation ID:
CreateConnector
Creates a new connector resource with the specified configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
— |
|
|
|
Boolean |
— |
|
|
Boolean |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/connectors/{connectorId}
Operation ID:
GetConnector
Retrieves detailed information about a specific connector resource.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
— |
|
|
|
Boolean |
— |
|
|
Boolean |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/connectors/{connectorId}
Operation ID:
UpdateConnector
Updates an existing connector resource configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
Object |
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
— |
|
|
|
Boolean |
— |
|
|
Boolean |
— |
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
DELETE /iam/libraries/{libraryId}/connectors/{connectorId}
Operation ID:
DeleteConnector
Deletes a connector resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/connectors/{connectorId}/asset-template-associations
Operation ID:
ListConnectorAssetTemplateAssociations
Retrieves a paginated list of connector asset template associations. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of AssetTemplateAssociationDetail |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
PUT /iam/libraries/{libraryId}/connectors/{connectorId}/asset-template-associations/{templateId}
Operation ID:
UpdateConnectorAssetTemplateAssociation
Updates an existing connector asset template association configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
— |
|
|
|
— |
|
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/connectors/{connectorId}/members
Operation ID:
ListConnectorMembers
Retrieves a paginated list of connector members. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Yes |
— |
|
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of Member |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
GET /iam/libraries/{libraryId}/connectors/{connectorId}/members/{principalId}
Operation ID:
GetConnectorMember
Retrieves detailed information about a specific connector member.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
String |
— |
|
|
Array of String |
— |
POST /iam/libraries/{libraryId}/connectors/{connectorId}/members/{principalId}
Operation ID:
AddConnectorMember
Adds a new member to the connector with specified access level. Members can be users or groups with roles: OWNER, MANAGER, CONTRIBUTOR, or VIEWER.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
PUT /iam/libraries/{libraryId}/connectors/{connectorId}/members/{principalId}
Operation ID:
UpdateConnectorMember
Updates an existing connector member configuration.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
DELETE /iam/libraries/{libraryId}/connectors/{connectorId}/members/{principalId}
Operation ID:
DeleteConnectorMember
Deletes a connector member resource and all its associated data. This operation is irreversible.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
GET /iam/libraries/{libraryId}/connectors/{connectorId}/permissions
Operation ID:
GetConnectorPermissions
Retrieves connector permissions.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/connectors/{connectorId}/resources
Operation ID:
GetConnectorResources
Retrieves detailed information about connector resources.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
String |
No |
— |
|
|
query |
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Available Asset Templates
GET /iam/libraries/{libraryId}/available-asset-templates
Operation ID:
ListAvailableAssetTemplates
Retrieves a paginated list of available asset templates. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of AssetTemplateMinimal |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Available Connectors
GET /iam/libraries/{libraryId}/available-connectors
Operation ID:
ListAvailableConnectors
Retrieves a paginated list of available connectors. Results are sorted by creation date in descending order.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
|
|
query |
No |
— |
|
|
|
query |
String |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
Boolean |
No |
— |
|
|
query |
String |
No |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of ConnectorMinimal |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Members
GET /iam/libraries/{libraryId}/members
Operation ID:
ListLibraryMembers
Retrieves a paginated list of all members with access to the library. Includes member details such as principal ID, type, and membership level.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Yes |
— |
|
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of Member |
— |
|
|
String |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
GET /iam/libraries/{libraryId}/members/{principalId}
Operation ID:
GetLibraryMember
Retrieves detailed information about a specific library member. Returns the member’s access level and metadata.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Principal identifier (user or group ID)
Pattern: |
|
|
query |
No |
Type of principal (USER or GROUP) |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
POST /iam/libraries/{libraryId}/members/{principalId}
Operation ID:
AddLibraryMember
Adds a new member to a library with specified access level. Members can be users or groups with roles: OWNER, MANAGER, CONTRIBUTOR, or VIEWER. Only library OWNERS and MANAGERS can add new members.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
String |
— |
|
|
Object |
— |
PUT /iam/libraries/{libraryId}/members/{principalId}
Operation ID:
UpdateLibraryMember
Updates the membership level of an existing library member. Can change roles between OWNER, MANAGER, CONTRIBUTOR, and VIEWER.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Principal identifier to update
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Number |
— |
|
|
Number |
— |
|
|
String |
— |
|
|
String |
— |
|
|
— |
|
|
|
String |
— |
|
|
— |
|
|
|
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
DELETE /iam/libraries/{libraryId}/members/{principalId}
Operation ID:
DeleteLibraryMember
Removes a member’s access to the library. The member will no longer be able to access any resources within this library.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
path |
String |
Yes |
Principal identifier to remove
Pattern: |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Permissions
GET /iam/libraries/{libraryId}/permissions
Operation ID:
GetLibraryPermissions
Retrieves the permission structure for a library. Shows what actions the current user can perform on this library resource.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of String |
Permission structure showing allowed actions |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Search Assets
POST /iam/libraries/{libraryId}/search-assets
Operation ID:
SearchAssets
Searches for assets using flexible query criteria. Supports filtering and pagination.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
Array of PropertyFilter |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Search Files
POST /iam/libraries/{libraryId}/search-files
Operation ID:
SearchFiles
Searches for files using flexible query criteria. Supports filtering and pagination.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
Array of PropertyFilter |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Audit Event Queries
POST /iam/libraries/{libraryId}/audit-event-queries
Operation ID:
QueryAuditEvents
Queries audit events with specified filters and time ranges.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
|
|
query |
Number |
No |
Maximum number of results to return per page |
|
|
query |
String |
No |
Pagination token from a previous response |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of AuditFilter |
No |
— |
|
|
String |
No |
— |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
|
|
Array of String |
— |
|
|
Array of Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Known Attributes
GET /iam/libraries/{libraryId}/known-attributes
Operation ID:
GetAllProjectKnownAttributes
Retrieves all known attributes across projects in a library.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
|
|
path |
String |
Yes |
Pattern: |
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Object |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Personas
GET /iam/personas
Operation ID:
GetPersonas
Retrieves the list of available personas.
Responses
-
200 -
Success
| Property | Type | Description |
|---|---|---|
|
|
Array of Persona |
— |
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Telemetry
POST /iam/telemetry
Operation ID:
SubmitTelemetry
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of TelemetryEvent |
Yes |
— |
|
|
Object |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
Responses
-
200 -
Success
-
400 -
Bad request. The request was invalid or cannot be served.
| Property | Type | Description |
|---|---|---|
|
|
String |
— |
Enumerations
The API uses the following enumeration types:
AccessRequestOperation
Type: string
Allowed values:
-
read -
write
AnalysisState
Type: string
Allowed values:
-
SUCCEEDED -
FAILED -
PENDING -
IN_PROGRESS
AssetAccessLocation
Type: string
Allowed values:
-
manifest -
data -
manifest_and_data
AssetState
Type: string
Allowed values:
-
DRAFT -
REVIEWED -
READY -
PENDING_DELETE -
PENDING_CREATE -
UPLOADING
AssociationStatus
Type: string
Allowed values:
-
PENDING -
APPROVED -
DENIED -
REVOKED
AssociationType
Type: string
Allowed values:
-
PROJECT_TEMPLATE -
TEMPLATE_CONNECTOR
ConnectorDirection
Type: string
Allowed values:
-
derive -
publish -
bidirectional
ConnectorType
Type: string
Allowed values:
-
opensearch -
stac -
synchronization -
lambda -
eventbridge -
DeadlineCloud -
rest -
RESTApi -
S3Csv
CredentialVendingRequestType
Type: string
Allowed values:
-
user
FileState
Type: string
Allowed values:
-
READY -
PENDING -
PROCESSING -
ERROR -
UPLOADING
FilterOperator
Type: string
Allowed values:
-
eq -
ne -
lt -
lte -
gt -
gte -
like -
not_contains -
starts_with -
not_starts_with -
geo
MembershipLevel
Type: string
Allowed values:
-
VIEWER -
CONTRIBUTOR -
MANAGER -
OWNER
PrincipalType
Type: string
Allowed values:
-
USER -
GROUP
ProjectAccessLocation
Type: string
Allowed values:
-
data
ProjectAccessOperation
Type: string
Allowed values:
-
write
ResourceStatus
Type: string
Allowed values:
-
READY -
UPLOADING -
ANALYZING -
DELETED -
PENDING_CREATE -
CREATE_FAILED -
UPDATE_FAILED -
UPLOAD_FAILED
UploadState
Type: string
Allowed values:
-
UPLOAD_INITIATED -
UPLOADING -
PAUSED -
CANCELED -
CANCELING -
COMPLETE
UserUpdatableAssetState
Type: string
Allowed values:
-
DRAFT -
DELETED -
REVIEWED
Data types
The API uses the following complex data types:
AddAssetTemplateMemberRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
AddAssetTemplateMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
AddConnectorMemberRequestContent
Context information for connector operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
AddConnectorMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
AddLibraryMemberRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
AddLibraryMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
AddProjectMemberRequestContent
Context information for project operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
AddProjectMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
Asset
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
Unique identifier for the library |
|
|
Yes |
— |
|
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
AssetReference
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
Unique identifier for the library |
AssetTemplateAssociationDetail
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
AssetTemplateMinimal
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Array of String |
No |
— |
|
|
Array of String |
No |
— |
|
|
Boolean |
No |
— |
AssetVersion
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the asset version |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
Attribute
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Object |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
AttributeSuggestion
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
AuditFilter
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
ConflictExceptionResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Object |
No |
— |
ConnectorMinimal
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Unique identifier for the connector |
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
Object |
No |
— |
CreateAssetRequestContent
Context information for project operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
No |
— |
|
|
|
Array of AssetReference |
No |
— |
CreateAssetResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
Unique identifier for the library |
|
|
Yes |
— |
|
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
String |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
CreateAssetTemplateRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
CreateAssetTemplateResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Object |
Yes |
— |
CreateConnectorRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
CreateConnectorResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Unique identifier for the connector |
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
Boolean |
Yes |
— |
|
|
Object |
Yes |
— |
CreateProjectRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
CreateProjectResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
|
|
Boolean |
Yes |
— |
|
|
String |
No |
— |
|
|
Array of MetadataAttribute |
No |
— |
DeleteAssetResponseContent
Response data for DeleteAsset operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
String |
No |
— |
File
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the file |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
String |
No |
Unique identifier for the asset version |
|
|
Array of Attribute |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
|
|
Array of FilePreview |
No |
— |
FileLocation
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
FilePreview
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
FileTypeSuggestion
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Array of AttributeSuggestion |
Yes |
— |
ForbiddenExceptionResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
GetAllProjectKnownAttributesResponseContent
Response data for GetAllProjectKnownAttributes operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
GetAssetCredentialsResponseContent
Response data for GetAssetCredentials operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
GetAssetMultipartUploadDataResponseContent
Response data for GetAssetMultipartUploadData operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
Unique identifier for the project |
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Array of FileLocation |
Yes |
— |
|
|
Array of FileLocation |
Yes |
— |
GetAssetResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
Unique identifier for the library |
|
|
Yes |
— |
|
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
String |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
GetAssetTemplateAssociationResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Object |
Yes |
— |
GetAssetTemplateMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
GetAssetTemplatePermissionsResponseContent
Response data for GetAssetTemplatePermissions operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of String |
Yes |
— |
GetAssetTemplateResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Object |
Yes |
— |
GetConnectorMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
GetConnectorPermissionsResponseContent
Response data for GetConnectorPermissions operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of String |
Yes |
— |
GetConnectorResourcesResponseContent
Response data for GetConnectorResources operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
GetConnectorResourcesViaAssetTemplateResponseContent
Response data for GetConnectorResourcesViaAssetTemplate operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
GetConnectorResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Unique identifier for the connector |
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
Boolean |
Yes |
— |
|
|
Object |
Yes |
— |
GetFileResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the file |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
String |
No |
Unique identifier for the asset version |
|
|
Array of Attribute |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
|
|
Array of FilePreview |
No |
— |
GetFileVersionResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the file |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
Boolean |
Yes |
— |
|
|
String |
No |
Unique identifier for the asset version |
|
|
Array of Attribute |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
|
|
Array of FilePreview |
No |
— |
GetLibraryMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
GetLibraryPermissionsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of String |
Yes |
Permission structure showing allowed actions |
GetLibraryResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
— |
|
|
Yes |
— |
GetPersonasResponseContent
Response data for GetPersonas operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of Persona |
Yes |
— |
GetProjectCredentialsResponseContent
Response data for GetProjectCredentials operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
GetProjectKnownAttributesResponseContent
Response data for GetProjectKnownAttributes operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
GetProjectMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
GetProjectPermissionsResponseContent
Response data for GetProjectPermissions operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of String |
Yes |
— |
GetProjectResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
|
|
Boolean |
Yes |
— |
|
|
String |
No |
— |
|
|
Array of MetadataAttribute |
No |
— |
InvalidParameterValueExceptionResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
Library
Represents a library resource that serves as an organizational container for projects, assets, and templates. Libraries define storage configuration and access controls.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Human-readable name of the library |
|
|
Yes |
— |
ListAssetAttributesResponseContent
Response data for ListAssetAttributes operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of Attribute |
Yes |
— |
ListAssetSuggestedAttributesResponseContent
Response data for ListAssetSuggestedAttributes operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of FileTypeSuggestion |
Yes |
— |
ListAssetTemplateAssetsResponseContent
Response data for ListAssetTemplateAssets operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
ListAssetTemplateConnectorAssociationsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of TemplateConnectorAssociationDetail |
Yes |
— |
ListAssetTemplateMembersResponseContent
Response data for ListMembers operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of Member |
Yes |
— |
|
|
String |
No |
Pagination token from a previous response |
ListAssetTemplateProjectAssociationsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of ProjectAssociationDetail |
Yes |
— |
ListAssetTemplatesResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of AssetTemplateMinimal |
Yes |
— |
ListAssetVersionsResponseContent
Response data for ListAssetVersions operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of AssetVersion |
Yes |
— |
ListAssetsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of Asset |
Yes |
— |
ListAvailableAssetTemplatesResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of AssetTemplateMinimal |
Yes |
— |
ListAvailableConnectorsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of ConnectorMinimal |
Yes |
— |
ListConnectorAssetTemplateAssociationsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of AssetTemplateAssociationDetail |
Yes |
— |
ListConnectorMembersResponseContent
Response data for ListMembers operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of Member |
Yes |
— |
|
|
String |
No |
Pagination token from a previous response |
ListConnectorsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of ConnectorMinimal |
Yes |
— |
ListFileVersionsResponseContent
Response data for ListFileVersions operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
ListFilesForAssetVersionResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of File |
Yes |
— |
ListFilesResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of File |
Yes |
— |
ListLibrariesResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of Library |
Yes |
List of libraries accessible to the user |
ListLibraryAssetsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of Asset |
Yes |
— |
ListLibraryMembersResponseContent
Response data for ListMembers operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of Member |
Yes |
— |
|
|
String |
No |
Pagination token from a previous response |
ListProjectAssetTemplateAssociationsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Yes |
— |
ListProjectMembersResponseContent
Response data for ListMembers operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of Member |
Yes |
— |
|
|
String |
No |
Pagination token from a previous response |
ListProjectsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of Project |
Yes |
— |
Location
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
Member
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
MetadataAttribute
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
MultipartUploadData
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
Array of UploadPart |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
Persona
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
Array of ResourcePermissions |
Yes |
— |
Project
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
|
|
Boolean |
Yes |
— |
|
|
String |
No |
— |
|
|
Array of MetadataAttribute |
No |
— |
ProjectAssociationDetail
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
Unique identifier for the project |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
ProjectConfig
Configuration settings for project.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
Array of String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Object |
No |
— |
ProjectTemplateAssociationWithTemplate
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the library |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Object |
Yes |
— |
PropertyFilter
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Yes |
— |
|
|
|
String |
No |
— |
|
|
Number |
No |
— |
QueryAuditEventsRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of AuditFilter |
No |
— |
|
|
String |
No |
— |
QueryAuditEventsResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
Pagination token from a previous response |
|
|
Array of String |
No |
— |
|
|
Array of Object |
No |
— |
RequestAssetTemplateAssociationRequestContent
Context information for project operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the template |
RequestAssetTemplateAssociationResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
RequestConnectorAssociationRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the connector |
RequestConnectorAssociationResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
ResourcePermissions
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
Array of String |
Yes |
— |
SearchAssetsRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
Array of PropertyFilter |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
SearchAssetsResponseContent
Response data for SearchAssets operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
SearchFilesRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
No |
— |
|
|
Array of PropertyFilter |
No |
— |
|
|
Number |
No |
— |
|
|
Number |
No |
— |
|
|
String |
No |
— |
|
|
Boolean |
No |
— |
|
|
String |
No |
— |
SearchFilesResponseContent
Response data for SearchFiles operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
StorageConfig
S3 storage configuration defining where library data is stored
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Default S3 bucket name for library storage |
|
|
String |
Yes |
Default root S3 prefix for organizing library data |
SubmitTelemetryRequestContent
Request parameters for SubmitTelemetry operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Array of TelemetryEvent |
Yes |
— |
|
|
Yes |
— |
TelemetryEvent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
Yes |
— |
TemplateConnectorAssociationDetail
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the connector |
TriggerConnectorOnAssetDirectResponseContent
Response data for TriggerConnectorOnAssetDirect operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
TriggerConnectorOnAssetResponseContent
Response data for TriggerConnectorOnAsset operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
TriggerConnectorOnProjectDirectResponseContent
Response data for TriggerConnectorOnProjectDirect operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
— |
UpdateAssetMultipartUploadDataRequestContent
Context information for project operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
UpdateAssetMultipartUploadDataResponseContent
Response data for UpdateAssetMultipartUploadData operation.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
Unique identifier for the project |
|
|
Yes |
— |
UpdateAssetRequestContent
Context information for project operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
No |
— |
|
|
|
No |
— |
|
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
UpdateAssetResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
Yes |
Unique identifier for the asset |
|
|
String |
Yes |
— |
|
|
String |
Yes |
Unique identifier for the project |
|
|
String |
Yes |
Unique identifier for the library |
|
|
Yes |
— |
|
|
|
Number |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
String |
No |
— |
|
|
Array of Attribute |
No |
— |
|
|
String |
No |
— |
|
|
No |
— |
|
|
|
String |
No |
— |
UpdateAssetTemplateMemberRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
UpdateAssetTemplateMemberResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Number |
Yes |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
No |
— |
|
|
Yes |
— |
|
|
|
String |
Yes |
Identifier of the IAM principal (user, role, or group) |
|
|
Yes |
— |
|
|
|
Yes |
— |
UpdateAssetTemplateProjectAssociationRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
UpdateAssetTemplateProjectAssociationResponseContent
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Yes |
— |
|
|
|
Yes |
— |
|
|
|
String |
Yes |
— |
|
|
Number |
Yes |
— |
|
|
String |
No |
— |
|
|
Number |
No |
— |
|
|
String |
Yes |
— |
|
|
String |
Yes |
— |
UpdateAssetTemplateRequestContent
Context information for library operations.
| Property | Type | Required | Description |
|---|---|---|---|
|
|
Object |
Yes |
— |
UpdateAssetTemplateResponseContent
[...]
